Social media
Retrieves social media settings
Retrieve the social media settings for the company.
GET
/
api
/
settings
/
social_media
Retrieves social media settings
curl --request GET \
--url https://api.fluid.app/api/settings/social_media \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/settings/social_media"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/settings/social_media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1405,
"name": "Dunder Mifflin Paper Company",
"facebook": "https://facebook.com/dundermifflin",
"instagram": "https://instagram.com/dundermifflinpaper",
"linkedin": "https://linkedin.com/company/dunder-mifflin",
"pinterest": null,
"tiktok": null,
"twitter": "https://twitter.com/dundermifflin",
"youtube": "https://youtube.com/@dundermifflinscranton",
"meta": {
"request_id": "c4f1b9e2-7a3d-4e8b-9f21-5d6a0b3e8c47",
"timestamp": "2026-09-14T15:32:08Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Headers
⌘I
Retrieves social media settings
